import html_canvas_to_sampler2d from "../texture/html_canvas_to_sampler2d.js";

/**
 *
 * @param {HTMLCanvasElement} canvas
 * @returns {number}
 */
export function computeHtmlCanvasElementHash(canvas) {
    const sampler = html_canvas_to_sampler2d(canvas);

    return sampler.hash();
}